local bkgsurf = ModCS.Surface.Create(38, "vapr")

local color_bkg_clear = ModCS.Color.Create(136, 68, 119)
local rc_tmp = ModCS.Rect.Create(0,0,0,0)
local bkgfx = 0

bkenable = false

local staropas =
{
	{-245,148},
	{-225,-194},
	{25,168},
	{-2,-16},
	{-211,27},
	{-272,66},
	{-111,293},
	{79,21},
	{300,-116},
	{91,-8},
	{-122,-37},
	{232,-140},
	{148,33},
	{-138,45},
	{-20,251},
	{128,216},
	{-311,251},
	{24,243},
	{286,-18},
	{283,203},
	{-219,-28},
	{-293,-299},
	{-318,161},
	{5,222},
	{-281,-253},
	{81,319},
	{124,93},
	{128,-121},
	{-22,-31},
	{134,137},
	{233,25},
	{-210,-315},
	{-94,195},
	{105,33},
	{111,-143},
	{113,-312},
	{-25,253},
	{-24,69},
	{147,179},
	{39,198},
	{165,-166},
	{-101,199},
	{77,-263},
	{-231,130},
	{-101,-25},
	{307,161},
	{150,-107},
	{-162,-250},
	{-18,19},
	{216,-236},
}

function bkgdraw()

	if bkenable == false then
		return
	end
		-- Clear background buffer
		color_bkg_clear:Box(0,0, 320, 240, 28)

		-- Stars
		for i=1,50 do

			local putx = (staropas[i][1] * math.cos(staropas[i][2] + (bkgfx / 512)) + 160)
			local puty = (staropas[i][1] * math.sin(staropas[i][2] + (bkgfx / 512)) + 240)


			if putx > -8 and putx < 320 and puty > -8 and puty < 165  then
				rc_tmp:Set(40 + ((i % 3) * 8), 0, 48 + ((i % 3) * 8), 8)
				rc_tmp:Put(putx, puty, 38, 28)
			end
		end

		-- Sun
		for i = 1, 34 do
			rc_tmp:Set(0, i, 34, i + 1)
			rc_tmp:Put(
				143 + (math.sin(((bkgfx / 2) + i) / 2)),
				103 + i,
				38,
				28)
		end

		-- Bottom Clouds
		rc_tmp:Set(0, 40, 320, 74)
		rc_tmp:Put(-(bkgfx / 5 % 320), 123, 38, 28)
		rc_tmp:Put(-(bkgfx / 5 % 320) + 320, 123, 38, 28)

		rc_tmp:Set(0, 75, 320, 98)
		rc_tmp:Put(-(bkgfx / 4 % 320), 157, 38, 28)
		rc_tmp:Put(-(bkgfx / 4 % 320) + 320, 157, 38, 28)

		rc_tmp:Set(0, 99, 320, 159)
		rc_tmp:Put(-(bkgfx / 3 % 320), 180, 38, 28)
		rc_tmp:Put(-(bkgfx / 3 % 320) + 320, 180, 38, 28)

		-- Increase fx counter
		bkgfx = bkgfx + 1
end